STRLEN(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
strlen - get string length

SYNOPSIS

#include <string.h>

size_t strlen(const char *s);

DESCRIPTION

The strlen() function shall compute the number of bytes in the string to which s points, not including the terminating null byte.

RETURN VALUE

The strlen() function shall return the length of s; no return value shall be reserved to indicate an error.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

  Getting String Lengths

The following example sets the maximum length of key and data by using strlen() to get the lengths of those strings.

    #include <string.h>
    ...
    struct element {
        char *key;
        char *data;
    };
    ...
    char *key, *data;
    int len;

    *keylength = *datalength = 0;
    ...
    if ((len = strlen(key)) > *keylength)
        *keylength = len;
    if ((len = strlen(data)) > *datalength)
        *datalength = len;
    ...

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

The Base Definitions volume of IEEE Std 1003.1-2001, <string.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .